Index: plugins/wc-post-types/wc-post-types.php
===================================================================
--- plugins/wc-post-types/wc-post-types.php	(revision 825)
+++ plugins/wc-post-types/wc-post-types.php	(working copy)
@@ -191,7 +191,7 @@
 	function admin_enqueue_scripts() {
 		wp_enqueue_style( 'campicons', plugins_url( 'fonts/campicons.css', __FILE__ ), array(), 1 );
 	}
-	
+
 	function wp_enqueue_scripts() {
 		wp_enqueue_style( 'wcb_shortcodes', plugins_url( 'css/shortcodes.css', __FILE__ ), array(), 1 );
 	}
@@ -215,32 +215,6 @@
 				break;
 			default:
 		}
-
-		// Post types menu icons
-		$menu_icons = array(
-			'wcb_speaker' => '\e602',
-			'wcb_session' => '\e603',
-			'wcb_sponsor' => '\e601',
-		);
-
-		?>
-		<style type="text/css">
-		<?php foreach ( $menu_icons as $post_type => $icon_content ): ?>
-			<?php
-				$class    = sanitize_html_class( $post_type );
-			?>
-			#menu-posts-<?php echo $class; ?> .wp-menu-image:before {
-				font-family: 'Campicons' !important;
-				content: '<?php echo $icon_content; ?>' !important;
-			}
-		<?php endforeach; ?>
-
-		#menu-posts-wcb_organizer .wp-menu-image:before {
-			font-family: 'Dashicons';
-			content: "\f338";
-		}
-		</style>
-		<?php
 	}
 
 	/**
@@ -997,7 +971,7 @@
 
 				<?php while ( $sponsors->have_posts() ) : $sponsors->the_post(); ?>
 				<?php $website = get_post_meta( get_the_ID(), '_wcpt_sponsor_website', true ); ?>
-					
+
 				<div id="wcorg-sponsor-<?php the_ID(); ?>" class="wcorg-sponsor">
 					<?php if ( 'website' == $attr['link'] && $website ) : ?>
 						<h3><a href="<?php echo esc_attr( esc_url( $website ) ); ?>"><?php the_title(); ?></a></h3>
@@ -1004,7 +978,7 @@
 					<?php else : ?>
 						<h3><?php the_title(); ?></h3>
 					<?php endif; ?>
-					
+
 					<div class="wcorg-sponsor-description">
 						<?php if ( 'website' == $attr['link'] && $website ) : ?>
 							<a href="<?php echo esc_attr( esc_url( $website ) ); ?>"><?php the_post_thumbnail(); ?></a>
@@ -1011,7 +985,7 @@
 						<?php else : ?>
 							<?php the_post_thumbnail(); ?>
 						<?php endif; ?>
-						
+
 						<?php the_content(); ?>
 					</div>
 				</div><!-- #sponsor -->
@@ -1183,14 +1157,14 @@
 	function metabox_sponsor_info( $sponsor ) {
 		$website = get_post_meta( $sponsor->ID, '_wcpt_sponsor_website', true );
 		wp_nonce_field( 'edit-sponsor-info', 'wcpt-meta-sponsor-info' );
-		
+
 		?>
-		
+
 		<p>
 			<label for="_wcpt_sponsor_website"><?php _e( 'Website:', 'wordcampbase' ); ?></label>
 			<input type="text" class="widefat" id="_wcpt_sponsor_website" name="_wcpt_sponsor_website" value="<?php echo esc_attr( esc_url( $website ) ); ?>" />
 		</p>
-		
+
 		<?php
 	}
 
@@ -1311,13 +1285,13 @@
 		delete_post_meta( $post_id, '_wcpt_speaker_id' );
 		foreach ( $speaker_ids as $speaker_id )
 			add_post_meta( $post_id, '_wcpt_speaker_id', $speaker_id );
-		
+
 		// Set the speaker as the author of the session post, so the single
 		// view doesn't confuse users who see "posted by [organizer name]"
 		foreach ( $speaker_ids as $speaker_post ) {
 			$wporg_user_id = get_post_meta( $speaker_post, '_wcpt_user_id', true );
 			$user = get_user_by( 'id', $wporg_user_id );
-			
+
 			if ( $user ) {
 				remove_action( 'save_post', array( $this, 'save_post_session' ), 10, 2 );	// avoid infinite recursion
 				wp_update_post( array(
@@ -1325,7 +1299,7 @@
 					'post_author' => $user->ID
 				) );
 				add_action( 'save_post', array( $this, 'save_post_session' ), 10, 2 );
-				
+
 				break;
 			}
 		}
@@ -1341,7 +1315,7 @@
 
 		if ( isset( $_POST['wcpt-meta-sponsor-info'] ) && wp_verify_nonce( $_POST['wcpt-meta-sponsor-info'], 'edit-sponsor-info' ) ) {
 			$website = esc_url_raw( $_POST['_wcpt_sponsor_website'] );
-			
+
 			// TODO: maybe only allows links to home page, depending on outcome of http://make.wordpress.org/community/2013/12/31/irs-rules-for-corporate-sponsorship-of-wordcamp/
 
 			if ( $website ) {
@@ -1385,7 +1359,7 @@
 			'capability_type'   => 'post',
 			'hierarchical'      => false,
 			'query_var'         => true,
-			'menu_icon'         => '', // see $this->menu_icons_css()
+			'menu_icon'         => 'dashicons-megaphone',
 		) );
 
 		// Session post type labels.
@@ -1417,7 +1391,7 @@
 			'capability_type'   => 'post',
 			'hierarchical'      => false,
 			'query_var'         => true,
-			'menu_icon'         => '', // see $this->menu_icons_css()
+			'menu_icon'         => 'dashicons-schedule',
 		) );
 
 		// Sponsor post type labels.
@@ -1449,7 +1423,7 @@
 			'capability_type'   => 'post',
 			'hierarchical'      => false,
 			'query_var'         => true,
-			'menu_icon'         => '', // see $this->menu_icon_css()
+			'menu_icon'         => 'dashicons-heart',
 		) );
 
 		// Organizer post type labels.
@@ -1481,7 +1455,7 @@
 			'capability_type'   => 'post',
 			'hierarchical'      => false,
 			'query_var'         => true,
-			'menu_icon'         => '', // see $this->menu_icon_css()
+			'menu_icon'         => 'dashicons-groups',
 		) );
 	}
 
Index: plugins/wcpt/wcpt-organizer/organizer-admin.php
===================================================================
--- plugins/wcpt/wcpt-organizer/organizer-admin.php	(revision 825)
+++ plugins/wcpt/wcpt-organizer/organizer-admin.php	(working copy)
@@ -92,26 +92,8 @@
 	 * Add some general styling to the admin area
 	 */
 	function admin_head () {
-		// Icons for top level admin menus
-		$menu_icon_url	= WCPT_IMAGES_URL . '/icon-organizer.png';
+		if ( $_GET['post_type'] == WCO_POST_TYPE_ID ) : ?>
 
-		// Top level menu classes
-		$icon_class = sanitize_html_class( WCO_POST_TYPE_ID ); ?>
-
-		#menu-posts-<?php echo $icon_class; ?> .wp-menu-image {
-			background: url(<?php echo $menu_icon_url; ?>) no-repeat 0 -32px;
-		}
-		#menu-posts-<?php echo $icon_class; ?>:hover .wp-menu-image,
-		#menu-posts-<?php echo $icon_class; ?>.wp-has-current-submenu .wp-menu-image {
-			background: url(<?php echo $menu_icon_url; ?>) no-repeat 0 0;
-		}
-
-		<?php if ( $_GET['post_type'] == WCO_POST_TYPE_ID ) : ?>
-
-			#icon-edit, #icon-post {
-				background: url(<?php echo WCPT_IMAGES_URL . '/icon32.png'; ?>) no-repeat 4px 0;
-			}
-
 			.column-title { width: 40%; }
 			.column-wcpt_location, .column-wcpt_date, column-wcpt_organizer { white-space: nowrap; }
 
Index: plugins/wcpt/wcpt-organizer/organizer-loader.php
===================================================================
--- plugins/wcpt/wcpt-organizer/organizer-loader.php	(revision 825)
+++ plugins/wcpt/wcpt-organizer/organizer-loader.php	(working copy)
@@ -114,7 +114,7 @@
 					'capability_type'   => 'post',
 					'hierarchical'      => false,
 					'query_var'         => true,
-					'menu_icon'         => ''
+					'menu_icon'         => 'dashicons-wordpress',
 				)
 			)
 		);
Index: plugins/wcpt/wcpt-venue/venue-admin.php
===================================================================
--- plugins/wcpt/wcpt-venue/venue-admin.php	(revision 825)
+++ plugins/wcpt/wcpt-venue/venue-admin.php	(working copy)
@@ -93,26 +93,8 @@
 	 * Add some general styling to the admin area
 	 */
 	function admin_head () {
-		// Icons for top level admin menus
-		$menu_icon_url	= WCPT_IMAGES_URL . '/icon-venue.png';
+		if ( $_GET['post_type'] == WCV_POST_TYPE_ID ) : ?>
 
-		// Top level menu classes
-		$class = sanitize_html_class( WCV_POST_TYPE_ID ); ?>
-
-		#menu-posts-<?php echo $class; ?> .wp-menu-image {
-			background: url(<?php echo $menu_icon_url; ?>) no-repeat 0 -32px;
-		}
-		#menu-posts-<?php echo $class; ?>:hover .wp-menu-image,
-		#menu-posts-<?php echo $class; ?>.wp-has-current-submenu .wp-menu-image {
-			background: url(<?php echo $menu_icon_url; ?>) no-repeat 0 0;
-		}
-
-		<?php if ( $_GET['post_type'] == WCV_POST_TYPE_ID ) : ?>
-
-			#icon-edit, #icon-post {
-				background: url(<?php echo WCPT_IMAGES_URL . '/icon32.png'; ?>) no-repeat 4px 0;
-			}
-
 			.column-title { width: 40%; }
 			.column-wcpt_location, .column-wcpt_date, column-wcpt_organizer { white-space: nowrap; }
 
Index: plugins/wcpt/wcpt-venue/venue-loader.php
===================================================================
--- plugins/wcpt/wcpt-venue/venue-loader.php	(revision 825)
+++ plugins/wcpt/wcpt-venue/venue-loader.php	(working copy)
@@ -102,7 +102,7 @@
 		// Register Venue post type
 		register_post_type (
 			WCV_POST_TYPE_ID,
-			apply_filters( 'wco_register_post_type',
+			apply_filters( 'wcv_register_post_type',
 				array (
 					'labels'            => $labels,
 					'rewrite'           => $rewrite,
@@ -114,7 +114,7 @@
 					'capability_type'   => 'post',
 					'hierarchical'      => false,
 					'query_var'         => true,
-					'menu_icon'         => ''
+					'menu_icon'         => 'dashicons-'
 				)
 			)
 		);
Index: plugins/wcpt/wcpt-wordcamp/wordcamp-admin.php
===================================================================
--- plugins/wcpt/wcpt-wordcamp/wordcamp-admin.php	(revision 825)
+++ plugins/wcpt/wcpt-wordcamp/wordcamp-admin.php	(working copy)
@@ -97,11 +97,11 @@
 	 * @return int
 	 */
 	function metabox_save ( $post_id ) {
-		
+
 		// Don't add/remove meta on revisions and auto-saves
 		if ( wp_is_post_autosave( $post_id ) || wp_is_post_revision( $post_id ) )
 			return;
-		
+
 		// WordCamp post type only
 		if ( WCPT_POST_TYPE_ID == get_post_type() ) {
 			// Post meta keys
@@ -126,7 +126,7 @@
 
 						update_post_meta( $post_id, $key, $values[$key] );
 						break;
-					
+
 					default:
 						do_action( 'wcpt_metabox_save', $key, $value, $post_id );
 						break;
@@ -221,7 +221,7 @@
 
 		return apply_filters( 'wcpt_admin_meta_keys', $retval, $meta_group );
 	}
-	
+
 	/**
 	 * Fired during admin_print_styles
 	 * Adds jQuery UI
@@ -230,7 +230,7 @@
 		if ( get_post_type() == WCPT_POST_TYPE_ID )
 			wp_enqueue_script( 'jquery-ui-custom', WCPT_URL . '/assets/js/jquery-ui-1.8.18.custom.min.js', array( 'jquery' ) );
 	}
-	
+
 	function admin_print_scripts() {
 		if ( get_post_type() == WCPT_POST_TYPE_ID ) :
 		?>
@@ -244,7 +244,7 @@
 		<?php
 		endif;
 	}
-	
+
 	function admin_styles() {
 		if ( get_post_type() == WCPT_POST_TYPE_ID )
 			wp_enqueue_style( 'jquery-ui-redmond', WCPT_URL . '/assets/css/redmond/jquery-ui-1.8.18.custom.css' );
@@ -256,26 +256,8 @@
 	 * Add some general styling to the admin area
 	 */
 	function admin_head () {
-		// Icons for top level admin menus
-		$menu_icon_url	= WCPT_IMAGES_URL . '/icon-wordcamp.png';
+		if ( !empty( $_GET['post_type'] ) && $_GET['post_type'] == WCPT_POST_TYPE_ID ) : ?>
 
-		// Top level menu classes
-		$class = sanitize_html_class( WCPT_POST_TYPE_ID ); ?>
-
-		#menu-posts-<?php echo $class; ?> .wp-menu-image {
-			background: url(<?php echo $menu_icon_url; ?>) no-repeat 0 -32px;
-		}
-		#menu-posts-<?php echo $class; ?>:hover .wp-menu-image,
-		#menu-posts-<?php echo $class; ?>.wp-has-current-submenu .wp-menu-image {
-			background: url(<?php echo $menu_icon_url; ?>) no-repeat 0 0;
-		}
-
-		<?php if ( !empty( $_GET['post_type'] ) && $_GET['post_type'] == WCPT_POST_TYPE_ID ) : ?>
-
-			#icon-edit, #icon-post {
-				background: url(<?php echo WCPT_IMAGES_URL . '/icon32.png'; ?>) no-repeat 4px 0;
-			}
-
 			.column-title { width: 40%; }
 			.column-wcpt_location, .column-wcpt_date, column-wcpt_organizer { white-space: nowrap; }
 
Index: plugins/wcpt/wcpt-wordcamp/wordcamp-loader.php
===================================================================
--- plugins/wcpt/wcpt-wordcamp/wordcamp-loader.php	(revision 825)
+++ plugins/wcpt/wcpt-wordcamp/wordcamp-loader.php	(working copy)
@@ -126,7 +126,7 @@
 					'hierarchical'      => false,
 					'has_archive'       => true,
 					'query_var'         => true,
-					'menu_icon'         => ''
+					'menu_icon'         => 'dashicons-wordpress',
 				)
 			)
 		);