Index: trunk/wordpress.org/public_html/wp-content/plugins/plugin-directory/admin/metabox/class-author-card.php
===================================================================
--- trunk/wordpress.org/public_html/wp-content/plugins/plugin-directory/admin/metabox/class-author-card.php	(revision 8479)
+++ trunk/wordpress.org/public_html/wp-content/plugins/plugin-directory/admin/metabox/class-author-card.php	(working copy)
@@ -81,6 +81,11 @@
 						urlencode( esc_attr( $author->user_nicename ) ),
 						esc_attr__( 'Click to search Pluginrepo SupportPress for mentions of this author', 'wporg-plugins' )
 					),
+					sprintf(
+						'<a href="https://secure.helpscout.net/search/?query=mailbox:Plugins%20%s" title="%s">HS</a>',
+						urlencode( esc_attr( $author->user_nicename ) ),
+						esc_attr__( 'Click to search HelpScout for mentions of this author', 'wporg-plugins' )
+					),
 				);
 				vprintf( '<span class="profile-sp-link">[ %s | %s ]</span>', $author_links );
 				?>
@@ -90,7 +95,7 @@
 					<a href="//wordpress.org/support/users/<?php echo $author->user_nicename; ?>"><?php _e( 'support', 'wporg-plugins' ); ?></a>
 				</span>
 				<div class="profile-email">
-					&lt;<?php echo $author->user_email; ?>&gt;
+					&lt;<?php echo esc_attr( $author->user_email ); ?>&gt;
 					<span class="profile-sp-link">
 					<?php
 					printf(
@@ -99,6 +104,14 @@
 						esc_attr__( 'Click to search Pluginrepo SupportPress for emails sent to/from this email address', 'wporg-plugins' )
 					);
 					?>
+					&nbsp;
+					<?php
+					printf(
+						'<a href="https://secure.helpscout.net/search/?query=mailbox:Plugins%20%s" title="%s">HS</a>',
+						esc_attr( $author->user_email ),
+						esc_attr__( 'Click to search HelpScout for emails sent to/from this email address', 'wporg-plugins' )
+					);
+					?>
 					</span>
 				</div>
 				<div class="profile-join">
@@ -282,6 +295,7 @@
 				}
 			}
 
+			$plugin_name = $plugin->post_title;
 			$plugin_slug = $plugin->post_name;
 			if ( in_array( $plugin->post_status, array( 'new', 'pending' ) ) ) {
 				/* translators: %s: time ago */
@@ -359,9 +373,14 @@
 				),
 				sprintf(
 					'<a href="https://supportpress.wordpress.org/plugins/?q=%s&status=&todo=Search+%%C2%%BB" title="%s">SP</a>',
-					urlencode( esc_attr( $plugin_slug ) ),
+					urlencode( esc_attr( $plugin_name ) ),
 					esc_attr__( 'Click to search Plugin SupportPress for mentions of this plugin', 'wporg-plugins' )
 				),
+				sprintf(
+					'<a href="https://secure.helpscout.net/search/?query=mailbox:Plugins%20%s" title="%s">HS</a>',
+					rawurlencode( esc_attr( $plugin_name ) ),
+					esc_attr__( 'Click to search HelpScout for mentions of this plugin', 'wporg-plugins' )
+				),
 			] );
 
 			if ( $extra ) {
Index: trunk/wordpress.org/public_html/wp-content/plugins/plugin-directory/admin/metabox/class-review-tools.php
===================================================================
--- trunk/wordpress.org/public_html/wp-content/plugins/plugin-directory/admin/metabox/class-review-tools.php	(revision 8479)
+++ trunk/wordpress.org/public_html/wp-content/plugins/plugin-directory/admin/metabox/class-review-tools.php	(working copy)
@@ -258,14 +258,10 @@
 				$subject = sprintf( __( '[WordPress Plugin Directory] Notice: %s', 'wporg-plugins' ), $post->post_title );
 			}
 
+			// HelpScout requires urlencode() becuase it wants spaces as + signs.
+			$contact_author = 'https://secure.helpscout.net/mailbox/ad3e85554c5bd064/new-ticket/?name=' . $author->display_name . '&email=' . $author->user_email . '&cc=' . $cc_emails . '&subject=' . urlencode( $subject );
 			?>
-			<form id="contact-author" class="contact-author" method="POST" action="https://supportpress.wordpress.org/plugins/thread-new.php">
-				<input type="hidden" name="to_email" value="<?php echo esc_attr( $author->user_email ); ?>"/>
-				<input type="hidden" name="to_name" value="<?php echo esc_attr( $author->display_name ); ?>"/>
-				<input type="hidden" name="cc" value="<?php echo esc_attr( $cc_emails ); ?>"/>
-				<input type="hidden" name="subject" value="<?php echo esc_attr( $subject ); ?>"/>
-				<button class="button button-primary" type="submit">Contact plugin author</button>
-			</form>
+			<a id="contact-author" class="button button-primary" href="<?php esc_url( $contact_author ); ?>">Contact plugin committer(s)</a>
 			<?php
 
 			return $string;